#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals
import os 

AUTHOR = 'Fabrice Mouhartem'
SITENAME = 'fmouhart\'s blog'
SITEURL = ''

# Theme
THEME = "themes/clean-blog"
HEADER_COLOR='#333333'
COLOR_SCHEME_CSS = 'monokai.css'
DISPLAY_PAGES_ON_MENU = False 
DISPLAY_CATEGORIES_ON_MENU = True
FAVICON='images/lock.png'
JINJA_ENVIRONMENT = {'trim_blocks': True, 'lstrip_blocks': True, 'extensions' : ('jinja2.ext.loopcontrols',),}
## Footer
FOOTER_INCLUDE = 'myfooter.html'
IGNORE_FILES = [FOOTER_INCLUDE]
EXTRA_TEMPLATES_PATHS = [os.path.dirname(__file__)]
## Images

# Static paths
PATH = 'content'
STATIC_PATHS = ['images', 'examples',]

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'en'
DEFAULT_DATE_FORMAT = '%Y.%m.%d'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (('Pelican', 'http://getpelican.com/'),
         ('Python.org', 'http://python.org/'),
         ('Jinja2', 'http://jinja.pocoo.org/'),
         ('You can modify those links in your config file', '#'),)

# Social widget
SOCIAL = ()

DEFAULT_PAGINATION = 10
PAGE_PAGINATION = 5

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True
